Bug 783008 (CVE-2012-0062) - CVE-2012-0062 JON: Unapproved agents can hijack an approved agent's endpoint by using a null security token
Summary: CVE-2012-0062 JON: Unapproved agents can hijack an approved agent's endpoint ...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2012-0062
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 781965 804887
TreeView+ depends on / blocked
 
Reported: 2012-01-19 03:46 UTC by David Jorm
Modified: 2019-09-29 12:50 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-03-20 17:35:24 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:0089 normal SHIPPED_LIVE Important: JBoss Operations Network 2.4.2 update 2012-02-02 02:57:57 UTC
Red Hat Product Errata RHSA-2012:0406 normal SHIPPED_LIVE Important: JBoss Operations Network 3.0.1 update 2012-03-20 21:08:42 UTC

Description David Jorm 2012-01-19 03:46:52 UTC
The JON server allows agent registration to succeed under certain conditions if the registration request does not include a security token. This is a feature designed to add convenience. A remote attacker could exploit this by spoofing the identify of an approved agent and passing a null security token, allowing them to hijack the approved agent's session and steal its security token.

Comment 1 errata-xmlrpc 2012-02-01 21:59:04 UTC
This issue has been addressed in following products:

  JBoss Operations Network 2.4.2

Via RHSA-2012:0089 https://rhn.redhat.com/errata/RHSA-2012-0089.html

Comment 2 errata-xmlrpc 2012-03-20 17:09:30 UTC
This issue has been addressed in following products:

  JBoss Operations Network 3.0.1

Via RHSA-2012:0406 https://rhn.redhat.com/errata/RHSA-2012-0406.html


Note You need to log in before you can comment on or make changes to this bug.